Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Neverwinter Nights: Enhanced Edition has been announced! Visit nwn.beamdog.com to pre-order, apply for the Head Start and check for details. NWN:EE FAQ is available.
Soundtracks for BG:EE, SoD, BG2:EE, IWD:EE, PST:EE are now available in the Beamdog store.
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Dual Class importing

kovachkovach Member Posts: 3
edited November 14 in Troubleshooting
Hi All,
I have imported my party from SoD to BG2EE (Windows, 2.3.67.3), and one of the characters is a dual class fighter/mage. Original: fighter, locked at level 3. After imported, his kit is "Grizzly Bear" instead of Fighter, and cannot use mage-only items, such as the Metaspell Amulet or wizard scrolls. I've removed the kit with EE keeper to make him similar to Imoen who works properly as a dual classed character, but still all mage-only items are unequipable (marked with red border). How can I fix it?

(to make it clearer, upper is the current, edited stage, bottom is the original, right after importing; I guess it should work now, but doesn't)

Post edited by kovach on
lolien

Comments

  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 12,678
    @Kovach A bug like that is definitely hard to bear. Can you zip and attach your saves, please: one from BG1 and another from BG2, please?
    lolienWarChiefZeke
  • Dev6Dev6 Member Posts: 189
    That's not a bug, it's an upgrade lol.
    lolientbone1
  • tbone1tbone1 Member Posts: 1,201
    That is pure awesomeness, IMnsHO. You ever see a grizzly in the wild? No, because you are still alive.
    Dev6
  • kovachkovach Member Posts: 3
    edited November 15
    BG1 was modded by the G3 pack. At first I tried BG2 modded, then made a clean install, the bug remains. This saved game is from the clean install.
    I experienced with setting the Kit to Fighter or Base Class, no effect on the issue.
    Additionally, EEKeeper crashes when I try to give an inventory item and save it, without changing the Grizzly Kit.
    Thanks for anyone who tries to help me.
    Post edited by kovach on
  • GusindaGusinda Member Posts: 181
    Hi @kovach, open the game no problems with EEKeeper 1.0.4.0 and had a quick look. The "can not use Mage items" problem is related with effects in the Effects Tab. I can't say how they got there when importing, but if if you go into the Effects Tab and remove all of the "Item: Can't Use Itemtype [181]", you will be permitted to use the items of concern (with a kit change). You may also want to remove the other Effects as they may not belong to your character type either.

    If you are having difficulites with EEKeeper, I can remove all of the effects or just the itemtype restriction and upload the saved game here. Let me know the specifics (ie: kit type etc..)

    For info, I was able to give the items while the character was he a Grizzly kit, he couldn't use scrolls, removed the can't use itemtype and he still couldn't use the scrolls. I then changed the original fighter kit to base class and had no problems using scrolls and amulet.

    Hope this helps.

    Gus
    lolienJuliusBorisovGate70
  • kovachkovach Member Posts: 3
    edited November 15
    Thank you, Gus, it finally works by removing all effects.

    Edit: also some animal special ability was needed to remove. I don't know how my character changed to a bear.
    Post edited by kovach on
    lolienJuliusBorisovGusinda
Sign In or Register to comment.